//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HOD.Data.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class PackageType
    {
        public PackageType()
        {
            this.UserPackages = new HashSet<UserPackage>();
        }
    
        public int PackageTypeId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public int PackageChargeFrequencyId { get; set; }
        public decimal BaseCost { get; set; }
    
        public virtual PackageChargeFrequency PackageChargeFrequency { get; set; }
        public virtual ICollection<UserPackage> UserPackages { get; set; }
    }
}
